/* ----------------------------------- */
/* Desktop Header Styles Start */
/* ----------------------------------- */

.header {
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;

  z-index: 99999;

  background-color: var(--clr-bg-white);

  display: flex;
  flex-direction: column;
  justify-content: stretch;
  align-items: stretch;

  gap: 0.5rem;
  padding: 0rem 0rem 0.75rem 0rem;
}

.header .register-now-slip {
  background-color: var(--clr-primary-bg-green);

  display: flex;
  flex-direction: column;
  justify-content: stretch;
  align-items: stretch;

  padding-top: 0.3rem;
  padding-bottom: 0.3rem;
}

.register-now-slip .text {
  width: 100%;
  color: var(--clr-text-black);
  font-size: var(--size-base);
  font-weight: 500;
  text-align: center;
}


.header .header-wrapper {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

.header .logo-container .header-logo {
  width: 122px;
}

.header .nav-links-container {
  display: none;
}

.header .cta-container {
  display: none;
}

.header .mobile-nav-cta-container {
  display: none;
}

.header .mobile-nav-links-container ul {
  list-style: none;

  display: flex;
  flex-direction: row;
  justify-content: center;
  align-content: center;

  gap: 0.8rem;
}

.header .mobile-nav-links-container .nav-link {
  color: var(--clr-text-black);
  font-size: var(--size-base);
  font-weight: 400;

  transition: all 0.2s ease-in-out;

  padding-bottom: 0rem;
}

.header .mobile-nav-links-container .nav-link:hover {
  color: var(--clr-700-black);
}

/* xxxs */
/* @media (min-width: 320px) {} */

/* xxs */
/* @media (min-width: 380px) {} */

/* xs */
/* @media (min-width: 475px) {} */

/* sm */
/* @media (min-width: 640px) {} */

/* md */
/* @media (min-width: 768px) {} */

/* lg */
@media (min-width: 1024px) {
  .header {
    padding: 0.75rem 0rem 0.75rem 0rem;
  }

  .header .register-now-slip {
    display: none;
  }

  .header .nav-links-container {
    display: block;
  }

  .header .mobile-nav-links-container ul {
    display: none;
  }

  .header .mobile-nav-links-container {
    display: none;
  }

  .header .nav-links-container ul {
    list-style: none;

    display: flex;
    flex-direction: row;
    justify-content: center;
    align-content: center;

    gap: 2rem;
  }

  .header .nav-links-container .nav-link {
    color: var(--clr-text-black);
    font-size: var(--size-base);
    font-weight: 400;

    transition: all 0.2s ease-in-out;

    padding-bottom: 0rem;
  }

  .header .nav-links-container .nav-link:hover {
    color: var(--clr-700-black);
  }

  .header .cta-container {
    display: block;
  }
}

/* xl */
/* @media (min-width: 1280px) {} */

/* 2xl */
/* @media (min-width: 1536px) {} */

/* ----------------------------------- */
/* Desktop Header Styles End */
/* ----------------------------------- */

/* ----------------------------------- */
/* Primary Green Button Styles Start */
/* ----------------------------------- */

.primary-green-btn {
  color: var(--clr-text-black);
  font-size: var(--size-base);
  font-weight: 400;

  background-color: var(--clr-primary-bg-green);
  border: 1px solid var(--clr-primary-bg-green);
  border-radius: 0.5rem;
  transition: all 0.2s ease-in-out;

  padding: 0.6rem 1.2rem;
}

.primary-green-btn:hover {
  color: var(--clr-text-white);

  background-color: var(--clr-bg-black);
  border: 1px solid var(--clr-bg-black);
}

/* ----------------------------------- */
/* Primary Green Button Styles End */
/* ----------------------------------- */

/* ----------------------------------- */
/* Primary Green Button Styles Start */
/* ----------------------------------- */

.primary-black-btn {
  color: var(--clr-text-white);
  font-size: var(--size-base);
  font-weight: 500;

  background-color: var(--clr-bg-black);
  border: 1px solid var(--clr-bg-black);
  border-radius: 0.5rem;
  transition: all 0.2s ease-in-out;

  padding: 0.6rem 1.2rem;
  
  /*color: var(--clr-text-black);*/
  /*font-size: var(--size-base);*/
  /*font-weight: 500;*/

  /*background-color: var(--clr-primary-bg-green);*/
  /*border: 1px solid var(--clr-primary-bg-green);*/
}

.primary-black-btn:hover {
  /*color: var(--clr-text-white);*/

  /*background-color: var(--clr-bg-black);*/
  /*border: 1px solid var(--clr-bg-black);*/
  opacity: 0.8;
}

/* ----------------------------------- */
/* Primary Green Button Styles End */
/* ----------------------------------- */

/* ----------------------------------- */
/* Primary Green Button Styles Start */
/* ----------------------------------- */

.primary-green-lg-btn {
  color: var(--clr-text-black);
  font-size: var(--size-xl);
  font-weight: 500;

  background-color: var(--clr-primary-bg-green);
  border: 1px solid var(--clr-primary-bg-green);
  border-radius: 0.5rem;
  transition: all 0.2s ease-in-out;

  padding: 0.7rem 2.1rem;
}

.primary-green-lg-btn:hover {
  color: var(--clr-text-white);

  background-color: var(--clr-bg-black);
  border: 1px solid var(--clr-bg-black);
}

/* ----------------------------------- */
/* Primary Green Button Styles End */
/* ----------------------------------- */

/* ----------------------------------- */
/* Primary White Button Styles Start */
/* ----------------------------------- */

.primary-white-btn {
  color: var(--clr-text-black);
  font-size: var(--size-base);
  font-weight: 400;

  background-color: var(--clr-bg-white);
  border: 1px solid var(--clr-bg-white);
  border-radius: 0.5rem;
  transition: all 0.2s ease-in-out;

  padding: 0.6rem 1.2rem;
}

.primary-white-btn:hover {
  color: var(--clr-text-white);

  background-color: var(--clr-bg-black);
  border: 1px solid var(--clr-bg-black);
}

/* ----------------------------------- */
/* Primary White Button Styles End */
/* ----------------------------------- */

/* ----------------------------------- */
/* Black Stroke Button Styles Start */
/* ----------------------------------- */

.black-stroke-btn {
  color: var(--clr-text-black);
  font-size: var(--size-base);
  font-weight: 400;

  background-color: transparent;
  border: 1px solid var(--clr-bg-black);
  border-radius: 0.5rem;
  transition: all 0.2s ease-in-out;

  padding: 0.6rem 1.2rem;
}

.black-stroke-btn:hover {
  color: var(--clr-text-white);

  background-color: var(--clr-800-black);
  border: 1px solid var(--clr-800-black);
}

/* ----------------------------------- */
/* Black Stroke Button Styles End */
/* ----------------------------------- */

/* ----------------------------------- */
/* Section Heading Component Styles Start */
/* ----------------------------------- */

.section-heading-wrapper {
  width: 100%;

  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.section-heading-wrapper .section-light-heading {
  color: var(--clr-description-black);
  font-size: var(--size-base);
  font-weight: 400;
  text-align: center;
}

.section-heading-wrapper .section-main-heading {
  color: var(--clr-text-black);
  font-size: var(--size-mobile-section-heading);
  font-weight: 500;
  text-align: center;
}

/* xxxs */
/* @media (min-width: 320px) {} */

/* xxs */
/* @media (min-width: 380px) {} */

/* xs */
/* @media (min-width: 475px) {} */

/* sm */
/* @media (min-width: 640px) {} */

/* md */
@media (min-width: 768px) {
  .section-heading-wrapper .section-main-heading {
    font-size: var(--size-tablet-section-heading);
  }
}

/* lg */
@media (min-width: 1024px) {
  .section-heading-wrapper {
    width: 882px;
  }

  .section-heading-wrapper .section-main-heading {
    font-size: var(--size-section-heading);
  }
}

/* xl */
/* @media (min-width: 1280px) {} */

/* 2xl */
/* @media (min-width: 1536px) {} */

/* ----------------------------------- */
/* Section Heading Component Styles End */
/* ----------------------------------- */

/* ----------------------------------- */
/* Footer Component Styles Start */
/* ----------------------------------- */

.footer {
  border-top: 1px solid var(--clr-border-black);

  padding: 3.15rem 0rem 2.4rem 0rem;
}

.footer .footer-container {
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: stretch;

  gap: 2.6rem;
}

.footer .footer-container .content-container {
  display: grid;

  gap: 3rem;
}

.footer .content-container .branding-container {
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: start;

  gap: 6rem;
}

.footer .content-container .branding-container .tagline {
  color: var(--clr-description-black);
  font-size: var(--size-mobile-section-heading);
  font-weight: 500;
  text-align: start;
}

.footer .content-container .branding-container .logo-text-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: start;

  gap: 0.5rem;
}

.footer .content-container .branding-container .logo-text-wrapper .logo {
  width: 120px;
}

.footer .content-container .branding-container .logo-text-wrapper .text {
  color: var(--clr-700-black);
  font-size: var(--size-sm);
  font-weight: 400;
  text-align: start;
}

.footer .content-container .nav-links-container {
  display: grid;
  grid-template-columns: repeat(2, 1fr);

  gap: 1.8rem;
}

.footer .content-container .nav-links-container .grouped-links-container {
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: start;

  gap: 0.5rem;
}

.footer .nav-links-container .grouped-links-container .title {
  color: var(--clr-text-black);
  font-size: var(--size-lg);
  font-weight: 500;
}

.footer .nav-links-container .grouped-links-container .links-list {
  list-style: none;

  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: start;

  gap: 0.25rem;
  padding: 0rem;
}

.footer .nav-links-container .grouped-links-container .links-list .list-item {
  color: var(--clr-700-black);
  font-size: var(--size-base);
  font-weight: 400;

  transition: all 0.2s ease-in-out;
}

.footer
  .nav-links-container
  .grouped-links-container
  .links-list
  .list-item:hover {
  color: var(--clr-text-black);
}

.footer .divider-line {
  border: none;
  border-top: 1px solid var(--clr-500-black);
}

.footer .footer-container .social-media-link-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: start;

  gap: 0.5rem;
}

.footer .social-media-link-container .social-media-icons-wrapper {
  display: flex;
  flex-direction: row;
  justify-content: start;
  align-items: center;

  gap: 0.8rem;
}

.footer .social-media-link-container .social-media-icons-wrapper .icon {
  width: 28px;
  cursor: pointer;

  transition: all 0.2s ease-in-out;
}

.footer .social-media-link-container .social-media-icons-wrapper .icon:hover {
  opacity: 0.8;
}

.footer .social-media-link-container .copyrights-text-wrapper .text {
  color: var(--clr-600-black);
  font-size: var(--size-sm);
  font-weight: 400;
}

/* xxxs */
/* @media (min-width: 320px) {} */

/* xxs */
/* @media (min-width: 380px) {} */

/* xs */
/* @media (min-width: 475px) {} */

/* sm */
/* @media (min-width: 640px) {} */

/* md */
@media (min-width: 768px) {
  .footer .content-container .branding-container .tagline {
    font-size: var(--size-7xl);
  }

  .footer .footer-container .social-media-link-container {
    flex-direction: row;
    justify-content: space-between;
    align-items: center;

    gap: 1.8rem;
  }
}

/* lg */
@media (min-width: 1024px) {
  .footer {
    padding: 3.15rem 0rem 2.4rem 0rem;
  }

  .footer .footer-container .content-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);

    gap: 1.8rem;
  }

  .footer .content-container .branding-container {
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: start;

    gap: 7.5rem;
  }

  .footer .content-container .branding-container .tagline {
    font-size: var(--size-section-sub-heading);
  }

  .footer .footer-container .social-media-link-container {
    flex-direction: row;
    justify-content: space-between;
    align-items: center;

    gap: 1.8rem;
  }
}

/* xl */
@media (min-width: 1280px) {
  .footer {
    padding: 3.15rem 3.8rem 2.4rem 3.8rem;
  }

  .footer .content-container .branding-container .tagline {
    font-size: var(--size-6xl);
  }
}

/* 2xl */
@media (min-width: 1536px) {
  .footer .content-container .branding-container .tagline {
    font-size: var(--size-7xl);
  }
}

/* ----------------------------------- */
/* Footer Component Styles End */
/* ----------------------------------- */
